import Vue, { VueConstructor } from 'vue'
import { LooseDictionary } from './ts-helpers'

export interface JsonApiViewer extends Vue {
    /**
     * Provide a title for your displayed api
     */
    title : string
    /**
     * This is the JSON to be displayed
     */
    json : LooseDictionary
    /**
     * Used to show context for the API
     */
    type? : string
    /**
     * Change the starting tab
     */
    startingTab? : string
    /**
     * Change the starting inner tab when on `props`
     */
    startingInnerTab? : string
    /**
     * Turn off the default footer
     */
    noFooter? : boolean
    /**
     * Turn off the options menu
     */
    noMenu? : boolean
}


declare module 'vue/types/vue' {
    interface Vue {
    }
}
export * from './types'
export * from './ts-helpers'
export as namespace JsonApiViewer
export const JsonApiViewer: VueConstructor<JsonApiViewer>

